using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Diagnostics;

namespace DataGridDemo
{
    public class CustomException:Exception
    {
        string EventLogName = "DataGridDemo";
        public override string Message
        {
            get
            {
                return Message;
            }
        }
        /// <summary>
        /// Logs the exception in Event log.
        /// </summary>
        public void logException()
        {
            //If event log is not created then create it
            if (!EventLog.Exists(EventLogName))
            {
                EventLog.CreateEventSource(EventLogName, EventLogName);
            }
            EventLog log = new EventLog();
            log.Source = EventLogName;
            log.WriteEntry(Message, EventLogEntryType.Error);
        }
    }
}
